autofs-5.1.3 - improve description of mount_nfs_default_protocol

From: Ian Kent <raven@themaw.net>

The description of the mount_nfs_default_protocol configuration
option is not clear, it sounds like it's a setting that causes
autofs to use the specified NFS version as a mount default which
it doesn't, so try and improve it.

Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG                      |    1 +
 man/autofs.conf.5.in           |   10 +++++++---
 redhat/autofs.conf.default.in  |   12 ++++++++----
 samples/autofs.conf.default.in |   12 ++++++++----
 4 files changed, 24 insertions(+), 11 deletions(-)

diff --git a/CHANGELOG b/CHANGELOG
index 77c35af6..5dc48738 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -33,6 +33,7 @@ xx/xx/2017 autofs-5.1.4
 - be silent about sss library not found.
 - be silent about nis domain not set.
 - make map source reference message debug only.
+- improve description of mount_nfs_default_protocol.
 
 24/05/2017 autofs-5.1.3
 =======================
diff --git a/man/autofs.conf.5.in b/man/autofs.conf.5.in
index 39e84fdb..cd7fc2f2 100644
--- a/man/autofs.conf.5.in
+++ b/man/autofs.conf.5.in
@@ -62,10 +62,14 @@ Maps are browsable by default (program default "yes").
 .TP
 .B mount_nfs_default_protocol
 .br
-Specify the default protocol used by
+Set the default protocol that
 .BR mount.nfs (8)
-(program default 3). Since we can't identify this default automatically
-we need to set it in the autofs configuration.
+uses when performing a mount (program default 3). Autofs needs to know
+the default NFS protocol that
+.BR mount.nfs(8)
+uses so it can do special case handling for its availability probe for
+different NFS protocols. Since we can't identify this default
+automatically we need to set it in the autofs configuration.
 .TP
 .B append_options
 .br
diff --git a/redhat/autofs.conf.default.in b/redhat/autofs.conf.default.in
index 8de58f25..a72a79f6 100644
--- a/redhat/autofs.conf.default.in
+++ b/redhat/autofs.conf.default.in
@@ -44,10 +44,14 @@ timeout = 300
 #
 browse_mode = no
 #
-# mount_nfs_default_protocol - specify the default protocol used by
-# 			       mount.nfs(8). Since we can't identify
-# 			       the default automatically we need to
-# 			       set it in our configuration.
+# mount_nfs_default_protocol - set the default protocol that mount.nfs(8)
+# 			       uses when performing a mount. Autofs needs
+# 			       to know the default NFS protocol that
+# 			       mount.nfs(8) uses so it can do special case
+# 			       handling for its availability probe for
+# 			       different NFS protocols. Since we can't
+# 			       identify the default automatically we need
+# 			       to set it in our configuration.
 #
 #mount_nfs_default_protocol = 3
 mount_nfs_default_protocol = 4
diff --git a/samples/autofs.conf.default.in b/samples/autofs.conf.default.in
index a04b56f9..2693a975 100644
--- a/samples/autofs.conf.default.in
+++ b/samples/autofs.conf.default.in
@@ -44,10 +44,14 @@ timeout = 300
 #
 browse_mode = no
 #
-# mount_nfs_default_protocol - specify the default protocol used by
-# 			       mount.nfs(8). Since we can't identify
-# 			       the default automatically we need to
-# 			       set it in our configuration.
+# mount_nfs_default_protocol - set the default protocol that mount.nfs(8)
+#			       uses when performing a mount. Autofs needs
+#			       to know the default NFS protocol that
+#			       mount.nfs(8) uses so it can do special case
+#			       handling for its availability probe for
+#			       different NFS protocols. Since we can't
+#			       identify the default automatically we need
+#			       to set it in our configuration.
 #
 #mount_nfs_default_protocol = 3
 #
